Bug 216643 - Segmentation fault while doing rpm -qa
Segmentation fault while doing rpm -qa
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Depends On:
  Show dependency treegraph
Reported: 2006-11-21 05:34 EST by Dirk Gfroerer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel 2.6.18-1.2961.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 07:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dirk Gfroerer 2006-11-21 05:34:33 EST
Description of problem:


How reproducible:
Sometimes. Happened now for the second time in three days.

Steps to Reproduce:
1. rpm -qa

Actual results:
rpm hangs. Error message in syslog:
kernel: rpmq[4141]: segfault at 0000000000000078 rip 00000036d46d290b rsp
00007fff662ff2a0 error 4

Expected results:
rpm query completes successful

Additional info:
Have to move away the __db* files in /var/lib/rpm. Otherwise all new rpm -qa
invocations just hangs.
Comment 1 Jeff Johnson 2006-12-03 13:36:37 EST
Segafualts and loss of data are likely due to removing an rpmdb environment
without correcting other problems in the rpmdb.

FYI: Most rpmdb "hangs" are now definitely fixed by purging stale read locks when opening
a database environment in rpm-4.4.8-0.4. There's more todo, but I'm quite sure that a
large class of problems with symptoms of "hang" are now corrected.

Detecting damaged by verifying when needed is well automated in rpm-4.4.8-0.4. Automatically 
correcting all possible damage is going to take more work, but a large class of problems is likely
already fixed in rpm-4.4.8-0.8 as well.

Comment 2 Panu Matilainen 2007-08-20 07:09:50 EDT
The random breakage is almost certainly caused by kernel 2.6.18-19 mmap() bug
which was present in some RHEL 5 beta kernels. RHEL 5 GA and later are not

Note You need to log in before you can comment on or make changes to this bug.